package com.gic.haoban.manage.web.qo.content.statistics;

import lombok.Data;

import java.util.HashMap;
import java.util.Map;

/**
 * @Author MUSI
 * @Date 2023/3/23 1:00 PM
 * @Description
 * @Version
 **/
@Data
public class MaterialStoreAnalyzeDataQO extends MaterialStatisticsBaseQO {

    private static final long serialVersionUID = 3422937373665522931L;
    /**
     * 时间筛选
     * 1 过去7天(默认选中),2 过去30天,3 过去60天,4 过去90天,5本周,6 本月,7 上月,8 上上月,9 上上上月
     */
    private Integer fixedDateDiff;

    /**
     * 排序字段
     * 日均使用导购占比
     * 转化客户数
     */
    private String orderByField;

    /**
     * asc
     * desc
     */
    private String order;

    public Map<String, Integer> getFieldsOrder() {
        Map<String, Integer> map = new HashMap<>();
        map.put("enterpriseId", 1);
        map.put("dayAvgUseMatlNum", 5);
        map.put("dayAvgUseRate", 6);
        map.put("clickUserNum", 7);
        map.put("convUserNum", 8);
        map.put("convSalesNmt", 9);
        return map;
    }

    public String getDefaultFields() {
        return "enterpriseId";
    }
}
